Module org.firebirdsql.jaybird
Package org.firebirdsql.jdbc.escape

# Class FBEscapedParser

java.lang.Object
org.firebirdsql.jdbc.escape.FBEscapedParser

@InternalApi public final class FBEscapedParser extends Object
The class `FBEscapedParser` parses the SQL and converts escaped syntax to native form.

Author:
  Roman Rokytskyy, Mark Rotteveel

## Method Summary

Modifier and Type
Method
Description
`static String`
`parse(String sql)`
Converts escaped parts in `sql` to native representation.
`static String`
`toNativeSql(String sql)`
Converts escaped parts in `sql` to native representation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### toNativeSql

public static String toNativeSql(String sql) throws SQLException
Converts escaped parts in `sql` to native representation.

Parameters:
  `sql` - to parse
Returns:
  native form of the `sql`.
Throws:
  `SQLException`

### parse

public static String parse(String sql) throws SQLException
Converts escaped parts in `sql` to native representation.

Parameters:
  `sql` - to parse
Returns:
  native form of the `sql`.
Throws:
  `SQLException`